package xyz.imaf6971.volgait.controllers;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import xyz.imaf6971.volgait.dto.UserDto;
import xyz.imaf6971.volgait.service.LoginService;

import javax.validation.Valid;

@RestController
@RequestMapping("/api/login")
public class LoginController {

    private final LoginService loginService;

    public LoginController(LoginService loginService) {
        this.loginService = loginService;
    }

    @PostMapping
    public void login(@RequestBody @Valid UserDto loginDto) {
        loginService.login(loginDto);
    }

}
