package xyz.imaf6971.volgait.controllers;

import org.springframework.web.bind.annotation.*;
import xyz.imaf6971.volgait.dto.UserDto;
import xyz.imaf6971.volgait.service.RegistrationService;

import javax.validation.Valid;

@RestController
@RequestMapping("/api/registration")
public class RegistrationController {

    private final RegistrationService registrationService;

    public RegistrationController(RegistrationService registrationService) {
        this.registrationService = registrationService;
    }

    @PostMapping
    public void registration(@RequestBody @Valid UserDto userDto) {
        registrationService.register(userDto);
    }
}
