package xyz.imaf6971.volgait.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import xyz.imaf6971.volgait.models.User;

import java.util.Optional;

public interface UserRepository extends JpaRepository<User, Long> {
    boolean existsByUsername(String username);

    Optional<User> findByUsername(String username);
}
