package xyz.imaf6971.volgait.service;

import xyz.imaf6971.volgait.dto.AdvertisementDto;
import xyz.imaf6971.volgait.dto.PublishAdvertisementDto;

import javax.transaction.Transactional;
import java.util.List;

public interface AdvertisementService {

    @Transactional
    Long publish(PublishAdvertisementDto publishDto);

    List<AdvertisementDto> listAll();
    AdvertisementDto getAdvertisementById(Long advertisementId);

    void changeById(PublishAdvertisementDto changes, Long advertisementId);

    void deleteAdvertisementById(Long advertisementId);
}
